Moodle
  1. Moodle
  2. MDL-34725

Problem restoring 1.x backup files

    Details

    • Type: Bug Bug
    • Status: Closed
    • Priority: Minor Minor
    • Resolution: Fixed
    • Affects Version/s: 2.3.1, 2.4
    • Fix Version/s: 2.3.2
    • Component/s: Workshop
    • Labels:
    • Testing Instructions:
      Hide

      Testing difficulty: Easy

      1. Create a course in Moodle 1.9
      2. Create five instances of Workshop for all available grading strategies (Accumulative, Error Banded, Criterion, Rubric and Not Graded). Define the assessment form in each workshop instance.
      3. Backup the course including the workshops
      4. Make sure that your Moodle 2.3 displays PHP Strict standards warnings.
      5. TEST: Restore the backup created in 3. and make sure no strict standards warnings are displayed.

      Show
      Testing difficulty: Easy 1. Create a course in Moodle 1.9 2. Create five instances of Workshop for all available grading strategies (Accumulative, Error Banded, Criterion, Rubric and Not Graded). Define the assessment form in each workshop instance. 3. Backup the course including the workshops 4. Make sure that your Moodle 2.3 displays PHP Strict standards warnings. 5. TEST: Restore the backup created in 3. and make sure no strict standards warnings are displayed.
    • Affected Branches:
      MOODLE_23_STABLE, MOODLE_24_STABLE
    • Fixed Branches:
      MOODLE_23_STABLE
    • Pull from Repository:
    • Pull Master Branch:
      MDL-34725-strict-standards
    • Rank:
      43192

      Description

      Strict standards: Declaration of moodle1_workshopform_comments_handler::process_legacy_element() should be compatible with that of moodle1_workshopform_handler::process_legacy_element() in /fs1/www_root/tjh238/moodle_head/mod/workshop/form/comments/backup/moodle1/lib.php on line 47

        Activity

        Hide
        David Mudrak added a comment -

        Submitting a fix for Moodle 2.3 and 2.4dev. As discussed with skodak, strict standards issues are not a subject of fix in Moodle 2.2.

        Show
        David Mudrak added a comment - Submitting a fix for Moodle 2.3 and 2.4dev. As discussed with skodak, strict standards issues are not a subject of fix in Moodle 2.2.
        Hide
        Eloy Lafuente (stronk7) added a comment -

        The main moodle.git repository has just been updated with latest weekly modifications. You may wish to rebase your PULL branches to simplify history and avoid any possible merge conflicts. This would also make integrator's life easier next week.

        TIA and ciao

        Show
        Eloy Lafuente (stronk7) added a comment - The main moodle.git repository has just been updated with latest weekly modifications. You may wish to rebase your PULL branches to simplify history and avoid any possible merge conflicts. This would also make integrator's life easier next week. TIA and ciao
        Hide
        Eloy Lafuente (stronk7) added a comment -

        Integrated (23 & master), thanks!

        Show
        Eloy Lafuente (stronk7) added a comment - Integrated (23 & master), thanks!
        Hide
        Rossiani Wijaya added a comment -

        This looks great.

        Thanks David for fixing.

        Test passed.

        Show
        Rossiani Wijaya added a comment - This looks great. Thanks David for fixing. Test passed.
        Hide
        Eloy Lafuente (stronk7) added a comment -

        Many thanks for the hard work.

        These changes have been spread upstream and are already available in the git and cvs repositories.

        Ciao

        Show
        Eloy Lafuente (stronk7) added a comment - Many thanks for the hard work. These changes have been spread upstream and are already available in the git and cvs repositories. Ciao

          People

          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: